<h2>Reactive: Básicos</h2>
<hr>

<div class="row">
    <div class="col">

        <form (ngSubmit)="guardar()" autocomplete="off" [formGroup]="miForm">

            <!-- Campo de producto -->
            <div class="mb-3 row">
                <label class="col-sm-3 col-form-label">Producto</label>
                <div class="col-sm-9">
                    <input type="text" 
                           class="form-control"
                           formControlName="nombre"
                           placeholder="Nombre del producto">
                    <span *ngIf="campoInValido('nombre')" class="form-text text-danger">Debe de ser de 3 letras</span>
                </div>
            </div>

            <!-- Campo de precio -->
            <div class="mb-3 row">
                <label class="col-sm-3 col-form-label">Precio</label>
                <div class="col-sm-9">
                    <input type="number" 
                           class="form-control"                            
                           placeholder="Precio del producto"
                           formControlName="precio">
                    <!-- <span class="form-text text-danger">El Precio debe ser mayor a cero</span> -->
                    <span *ngIf="campoInValido('precio')" class="form-text text-danger">Debe de ingresar una precio valido</span>
                </div>
            </div>

            <!-- Campo de existencias -->
            <div class="mb-3 row">
                <label class="col-sm-3 col-form-label">Existencias</label>
                <div class="col-sm-9">
                    <input type="number" 
                           class="form-control" 
                           placeholder="Existencia del producto"
                           formControlName="existencia">
                    <span *ngIf="campoInValido('existencia')" class="form-text text-danger">Debe de ingresar una existencia válida</span>
                    <!-- <span class="form-text text-danger">Debe de ser de 3 letras</span> -->
                </div>
            </div>

            <div class="row">
                <div class="col">
                    <!-- [disabled]="miForm.invalid" -->
                    <button type="submit" class="btn btn-primary float-end">Guardar</button>
                </div>
            </div>
            
            <div class="row">
                <div class="col">
                    <span>Valid</span>
                    <br>
                    <pre>{{ miForm.valid }}</pre>
                    <span>Pristine</span>
                    <br>
                    <pre>{{ miForm.pristine }}</pre>
                    <span>Touched</span>
                    <br>
                    <pre>{{ miForm.touched }}</pre>
                    <br>
                    <span>Value</span>
                    <br>
                    <pre>{{ miForm.value | json }}</pre>
                    <br>
                    <span>Precio</span>
                    <br>
                    <pre>{{ miForm.controls['precio'].errors | json }}</pre>
                                        
                </div>
            </div>
            
        </form>

    </div>
</div>
